goocanvasmm: Goocanvas::PolylineModel Class Reference

goocanvasmm 1.90.8

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions
Goocanvas::PolylineModel Class Reference
Inheritance diagram for Goocanvas::PolylineModel:
[legend]

List of all members.

## Public Member Functions
virtual | ~PolylineModel ()
GooCanvasPolylineModel* | gobj ()
| Provides access to the underlying C GObject.
const GooCanvasPolylineModel* | gobj () const
| Provides access to the underlying C GObject.
GooCanvasPolylineModel* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::PropertyProxy< double > | property_arrow_length ()
| The length of the arrows, as a multiple of the line width.
Glib::PropertyProxy_ReadOnly < double > | property_arrow_length () const
| The length of the arrows, as a multiple of the line width.
Glib::PropertyProxy< double > | property_arrow_tip_length ()
| The length of the arrow tip, as a multiple of the line width.
Glib::PropertyProxy_ReadOnly < double > | property_arrow_tip_length () const
| The length of the arrow tip, as a multiple of the line width.
Glib::PropertyProxy< double > | property_arrow_width ()
| The width of the arrows, as a multiple of the line width.
Glib::PropertyProxy_ReadOnly < double > | property_arrow_width () const
| The width of the arrows, as a multiple of the line width.
Glib::PropertyProxy< bool > | property_close_path ()
| If the last point should be connected to the first.
Glib::PropertyProxy_ReadOnly < bool > | property_close_path () const
| If the last point should be connected to the first.
Glib::PropertyProxy< bool > | property_end_arrow ()
| If an arrow should be displayed at the end of the polyline.
Glib::PropertyProxy_ReadOnly < bool > | property_end_arrow () const
| If an arrow should be displayed at the end of the polyline.
Glib::PropertyProxy< Points > | property_points ()
| The array of points.
Glib::PropertyProxy_ReadOnly < Points > | property_points () const
| The array of points.
Glib::PropertyProxy< bool > | property_start_arrow ()
| If an arrow should be displayed at the start of the polyline.
Glib::PropertyProxy_ReadOnly < bool > | property_start_arrow () const
| If an arrow should be displayed at the start of the polyline.
## Static Public Member Functions
static Glib::RefPtr < PolylineModel > | create (double x1, double y1, double x2, double y2)
## Protected Member Functions
| PolylineModel (bool close_path, const Points& points)
| PolylineModel (double x1, double y1, double x2, double y2)
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr < Goocanvas::PolylineModel > | wrap (GooCanvasPolylineModel* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Constructor & Destructor Documentation

virtual Goocanvas::PolylineModel::~PolylineModel | ( |  | ) | `[virtual]`

Goocanvas::PolylineModel::PolylineModel | ( | bool | close_path,
|  | const Points& | points
| ) |  | `[protected]`

Goocanvas::PolylineModel::PolylineModel | ( | double | x1,
|  | double | y1,
|  | double | x2,
|  | double | y2
| ) |  | `[protected]`

## Member Function Documentation

static Glib::RefPtr<PolylineModel> Goocanvas::PolylineModel::create | ( | double | x1,
|  | double | y1,
|  | double | x2,
|  | double | y2
| ) |  | `[static]`

GooCanvasPolylineModel* Goocanvas::PolylineModel::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Goocanvas::ItemModelSimple.

const GooCanvasPolylineModel* Goocanvas::PolylineModel::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Goocanvas::ItemModelSimple.

GooCanvasPolylineModel* Goocanvas::PolylineModel::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Goocanvas::ItemModelSimple.

Glib::PropertyProxy<double> Goocanvas::PolylineModel::property_arrow_length | ( |  | ) |

The length of the arrows, as a multiple of the line width.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<double> Goocanvas::PolylineModel::property_arrow_length | ( |  | ) | const

The length of the arrows, as a multiple of the line width.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<double> Goocanvas::PolylineModel::property_arrow_tip_length | ( |  | ) | const

The length of the arrow tip, as a multiple of the line width.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<double> Goocanvas::PolylineModel::property_arrow_tip_length | ( |  | ) |

The length of the arrow tip, as a multiple of the line width.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<double> Goocanvas::PolylineModel::property_arrow_width | ( |  | ) |

The width of the arrows, as a multiple of the line width.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<double> Goocanvas::PolylineModel::property_arrow_width | ( |  | ) | const

The width of the arrows, as a multiple of the line width.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Goocanvas::PolylineModel::property_close_path | ( |  | ) |

If the last point should be connected to the first.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Goocanvas::PolylineModel::property_close_path | ( |  | ) | const

If the last point should be connected to the first.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Goocanvas::PolylineModel::property_end_arrow | ( |  | ) |

If an arrow should be displayed at the end of the polyline.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Goocanvas::PolylineModel::property_end_arrow | ( |  | ) | const

If an arrow should be displayed at the end of the polyline.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Points> Goocanvas::PolylineModel::property_points | ( |  | ) | const

The array of points.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Points> Goocanvas::PolylineModel::property_points | ( |  | ) |

The array of points.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Goocanvas::PolylineModel::property_start_arrow | ( |  | ) | const

If an arrow should be displayed at the start of the polyline.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Goocanvas::PolylineModel::property_start_arrow | ( |  | ) |

If an arrow should be displayed at the start of the polyline.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

## Friends And Related Function Documentation

Glib::RefPtr< Goocanvas::PolylineModel > wrap | ( | GooCanvasPolylineModel * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- goocanvasmm/polylinemodel.h